GTPin: Data Fields

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - t -

- ThreadCtrl() : gtpin::IGtIns
- threadSlot : gtpin::GtStateRegAccessor
- ThreadSlotField() : gtpin::GtStateRegAccessor
- TID : gtpin::GtIargType
- tileId : gtpin::GtStateRegAccessor
- TileIdField() : gtpin::GtStateRegAccessor
- ToString() : gtpin::GtMemoryAddrModel , gtpin::GtKernelDispatchL0Runtime , gtpin::GtStatus , gtpin::GtEventReaction , gtpin::GtKernelExecDesc , gtpin::IGtEvent , gtpin::IGtVreg , gtpin::GtVregType , gtpin::GtMmapMethod , gtpin::GtRtKernelType , gtpin::GtKernelType , gtpin::IGtIns , gtpin::GtHliLanguage , gtpin::IGtIarg , gtpin::GtIargType , gtpin::GtAddrSpace , gtpin::GtOpcode , gtpin::GtHliCallStd , gtpin::GtHliParamType , gtpin::GtCondModifier , gtpin::GtSimdWidth , gtpin::GtReg , gtpin::GtArchRegType , gtpin::GtRegFileType , gtpin::GtDataType , gtpin::GtAtomicOp , gtpin::GtMessageType , gtpin::GtAddrMode , gtpin::IGtIret , gtpin::GtPredCtrl , gtpin::GtSrcModifier , gtpin::GtGpuPlatform , gtpin::GtThreadCtrl , gtpin::GtBinaryFormat , gtpin::GtPredicate , gtpin::GtSfid , gtpin::GtAccessType , gtpin::GtKernelDispatchOclRuntime , gtpin::GtGenModelId , gtpin::GtMemoryBuffer
- TotalSize() : gtpin::IGtProfileBufferAllocator
- ToUint() : gtpin::GtSimdWidth
- Type() : gtpin::GtReg , gtpin::GtRegRegion , gtpin::IGtKernel , gtpin::GtDstRegion
- type : gtpin::KnobValue
- Type() : gtpin::IGtIarg , gtpin::GtHliParamTraits
- type : gtpin::GtKernelArgument
- Type() : gtpin::IGtVreg

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT